package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.RmDeploymentPolicy;

import java.util.List;

/**
 * 服务器脚本策略Service接口
 * 
 * @author gyt
 * @date 2025-09-15
 */
public interface IRmDeploymentPolicyService 
{
    /**
     * 查询服务器脚本策略
     * 
     * @param id 服务器脚本策略主键
     * @return 服务器脚本策略
     */
    public RmDeploymentPolicy selectRmDeploymentPolicyById(Long id);

    /**
     * 查询服务器脚本策略列表
     * 
     * @param rmDeploymentPolicy 服务器脚本策略
     * @return 服务器脚本策略集合
     */
    public List<RmDeploymentPolicy> selectRmDeploymentPolicyList(RmDeploymentPolicy rmDeploymentPolicy);

    /**
     * 新增服务器脚本策略
     * 
     * @param rmDeploymentPolicy 服务器脚本策略
     * @return 结果
     */
    public int insertRmDeploymentPolicy(RmDeploymentPolicy rmDeploymentPolicy);

    /**
     * 修改服务器脚本策略
     * 
     * @param rmDeploymentPolicy 服务器脚本策略
     * @return 结果
     */
    public int updateRmDeploymentPolicy(RmDeploymentPolicy rmDeploymentPolicy);

    /**
     * 批量删除服务器脚本策略
     * 
     * @param ids 需要删除的服务器脚本策略主键集合
     * @return 结果
     */
    public int deleteRmDeploymentPolicyByIds(Long[] ids);

    /**
     * 删除服务器脚本策略信息
     * 
     * @param id 服务器脚本策略主键
     * @return 结果
     */
    public int deleteRmDeploymentPolicyById(Long id);

    int issueDeploymentPolicy(Long id);

    /**
     * 根据clientId下发包含此设备未下发的服务器脚本策略
     * @param clientId
     * @return
     */
    int issueDeployPolicyMsgByClientId(String clientId);
}
